Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.wsdl
Class TDefinitions

    java.lang.Object
      org.apache.cxf.wsdl.TDocumented
          org.apache.cxf.wsdl.TExtensibleDocumented
              org.apache.cxf.wsdl.TDefinitions

    public class TDefinitions

extends TExtensibleDocumented

Java class for tDefinitions complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="tDefinitions">
       <complexContent>
         <extension base="{http://schemas.xmlsoap.org/wsdl/}tExtensibleDocumented">
           <sequence minOccurs="0">
             <group ref="{http://schemas.xmlsoap.org/wsdl/}anyTopLevelOptionalElement"/>
             <choice maxOccurs="unbounded" minOccurs="0">
               <group ref="{http://schemas.xmlsoap.org/wsdl/}anyTopLevelOptionalElement"/>
               <any processContents='lax' namespace='##other'/>
             </choice>
           </sequence>
           <attribute name="targetNamespace" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
           <attribute name="name" type="{http://www.w3.org/2001/XMLSchema}NCName" />
           <anyAttribute processContents='lax' namespace='##other'/>
         </extension>
       </complexContent>
     </complexType>

Field Summary
`protected TImport` | `_import`
`protected TBinding` | `binding`
`protected List<Object>` | `importOrTypesOrMessage`
`protected TMessage` | `message`
`protected String` | `name`
`protected TPortType` | `portType`
`protected TService` | `service`
`protected String` | `targetNamespace`
`protected TTypes` | `types`

Fields inherited from class org.apache.cxf.wsdl.TExtensibleDocumented
`any`

Fields inherited from class org.apache.cxf.wsdl.TDocumented
`documentation`

Constructor Summary
`TDefinitions()`

Method Summary
`TBinding` | `getBinding()` Gets the value of the binding property.
`TImport` | `getImport()` Gets the value of the import property.
`List<Object>` | `getImportOrTypesOrMessage()` Gets the value of the importOrTypesOrMessage property.
`TMessage` | `getMessage()` Gets the value of the message property.
`String` | `getName()` Gets the value of the name property.
`TPortType` | `getPortType()` Gets the value of the portType property.
`TService` | `getService()` Gets the value of the service property.
`String` | `getTargetNamespace()` Gets the value of the targetNamespace property.
`TTypes` | `getTypes()` Gets the value of the types property.
`boolean` | `isSetBinding()`
`boolean` | `isSetImport()`
`boolean` | `isSetImportOrTypesOrMessage()`
`boolean` | `isSetMessage()`
`boolean` | `isSetName()`
`boolean` | `isSetPortType()`
`boolean` | `isSetService()`
`boolean` | `isSetTargetNamespace()`
`boolean` | `isSetTypes()`
`void` | `setBinding(TBinding value)` Sets the value of the binding property.
`void` | `setImport(TImport value)` Sets the value of the import property.
`void` | `setMessage(TMessage value)` Sets the value of the message property.
`void` | `setName(String value)` Sets the value of the name property.
`void` | `setPortType(TPortType value)` Sets the value of the portType property.
`void` | `setService(TService value)` Sets the value of the service property.
`void` | `setTargetNamespace(String value)` Sets the value of the targetNamespace property.
`void` | `setTypes(TTypes value)` Sets the value of the types property.
`void` | `unsetImportOrTypesOrMessage()`

Methods inherited from class org.apache.cxf.wsdl.TExtensibleDocumented
`getAny, getOtherAttributes, isSetAny, unsetAny`

Methods inherited from class org.apache.cxf.wsdl.TDocumented
`getDocumentation, isSetDocumentation, setDocumentation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _import

    protected TImport _import

### types

    protected TTypes types

### message

    protected TMessage message

### portType

    protected TPortType portType

### binding

    protected TBinding binding

### service

    protected TService service

### importOrTypesOrMessage

    protected List<Object> importOrTypesOrMessage

### targetNamespace

    protected String targetNamespace

### name

    protected String name

Constructor Detail

### TDefinitions

    public TDefinitions()

Method Detail

### getImport

    public TImport getImport()

  Gets the value of the import property.

  Returns:
    possible object is `TImport`

### setImport

    public void setImport(TImport value)

  Sets the value of the import property.

  Parameters:
    `value` - allowed object is `TImport`

### isSetImport

    public boolean isSetImport()

### getTypes

    public TTypes getTypes()

  Gets the value of the types property.

  Returns:
    possible object is `TTypes`

### setTypes

    public void setTypes(TTypes value)

  Sets the value of the types property.

  Parameters:
    `value` - allowed object is `TTypes`

### isSetTypes

    public boolean isSetTypes()

### getMessage

    public TMessage getMessage()

  Gets the value of the message property.

  Returns:
    possible object is `TMessage`

### setMessage

    public void setMessage(TMessage value)

  Sets the value of the message property.

  Parameters:
    `value` - allowed object is `TMessage`

### isSetMessage

    public boolean isSetMessage()

### getPortType

    public TPortType getPortType()

  Gets the value of the portType property.

  Returns:
    possible object is `TPortType`

### setPortType

    public void setPortType(TPortType value)

  Sets the value of the portType property.

  Parameters:
    `value` - allowed object is `TPortType`

### isSetPortType

    public boolean isSetPortType()

### getBinding

    public TBinding getBinding()

  Gets the value of the binding property.

  Returns:
    possible object is `TBinding`

### setBinding

    public void setBinding(TBinding value)

  Sets the value of the binding property.

  Parameters:
    `value` - allowed object is `TBinding`

### isSetBinding

    public boolean isSetBinding()

### getService

    public TService getService()

  Gets the value of the service property.

  Returns:
    possible object is `TService`

### setService

    public void setService(TService value)

  Sets the value of the service property.

  Parameters:
    `value` - allowed object is `TService`

### isSetService

    public boolean isSetService()

### getImportOrTypesOrMessage

    public List<Object> getImportOrTypesOrMessage()

  Gets the value of the importOrTypesOrMessage property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the importOrTypesOrMessage property.

  For example, to add a new item, do as follows:

          getImportOrTypesOrMessage().add(newItem);

  Objects of the following type(s) are allowed in the list `JAXBElement``<``TBinding``>` `JAXBElement``<``TPortType``>` `JAXBElement``<``TTypes``>` `JAXBElement``<``TMessage``>` `JAXBElement``<``TImport``>` `Object` `JAXBElement``<``TService``>` `Element`

### isSetImportOrTypesOrMessage

    public boolean isSetImportOrTypesOrMessage()

### unsetImportOrTypesOrMessage

    public void unsetImportOrTypesOrMessage()

### getTargetNamespace

    public String getTargetNamespace()

  Gets the value of the targetNamespace property.

  Returns:
    possible object is `String`

### setTargetNamespace

    public void setTargetNamespace(String value)

  Sets the value of the targetNamespace property.

  Parameters:
    `value` - allowed object is `String`

### isSetTargetNamespace

    public boolean isSetTargetNamespace()

### getName

    public String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    public void setName(String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

### isSetName

    public boolean isSetName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF